- Reference
- OCPI 2.1.1 (CPO)
- Sender Location
OpenAPI reference
Sender Location
/locations/{location_id}/{evse_uid}/{connector_id}Retrieve a specific Connector of an EVSE of a Location.
API: OCPI 2.1.1 (CPO) · Module: Locations (CPO)
Base path:/locations· Base URL:https://ocpi-api.gridos.co/ocpi/cpo/2.1.1
Overview
GET /locations/{location_id}/{evse_uid}/{connector_id}Absolute URL: https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/locations/{location_id}/{evse_uid}/{connector_id}
Retrieve a specific Connector of an EVSE of a Location.
Requires authentication. Use Authorization: Token <token>. See OCPI credentials.
How to call
Quick Shell sample (set OCPI_TOKEN when auth is required). Full Python and TypeScript under Examples.
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/locations/LOC1/EVSE1/1' \
-H "Authorization: Token $OCPI_TOKEN"Request
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
location_id | string | Yes | Location.id of the Location object. |
evse_uid | string | Yes | EVSE.uid of the EVSE object. |
connector_id | string | Yes | Connector.id of the Connector object. |
Responses
| Status | Description | Schema |
|---|---|---|
200 | Successful Response | ConnectorResponse |
400 | Invalid or missing parameters (HTTP 200, OCPI envelope) | — |
401 | Unauthorized | — |
404 | Not Found | — |
422 | Validation Error | HTTPValidationError |
200 — successful response
application/json
Schema: ConnectorResponse
| Field | Type | Required | Description |
|---|---|---|---|
status_code | integer | No | Default: 1000 |
status_message | string | No | — |
timestamp | string (date-time) | No | — |
data | Connector | No | Connector |
Response example
{
"status_code": 1000,
"status_message": "Success",
"timestamp": "2015-06-29T22:39:09Z",
"data": {
"id": "string",
"standard": {
"_type": "ConnectorType"
},
"format": {
"_type": "ConnectorFormat"
},
"power_type": {
"_type": "PowerType"
},
"voltage": 0,
"amperage": 0,
"tariff_id": "string",
"terms_and_conditions": "https://example.com",
"last_updated": "2024-01-15T10:00:00Z"
}
}400 — invalid or missing parameters (HTTP 200, OCPI envelope)
application/json
Response example
{
"status_code": 2001,
"status_message": "Invalid or missing parameters",
"timestamp": "2025-01-01T00:00:00Z",
"doc_url": "https://github.com/ocpplab/ocpi-gateway/blob/main/docs/errors.md#2001-invalid-parameters",
"errors": [
{
"field": "country_code",
"message": "expected 'NL' to match Token A identity",
"type": "value_error.identity_mismatch"
}
]
}401 — unauthorized
application/json
Response example
{
"status_code": 2000,
"status_message": "Unauthorized",
"timestamp": "2025-01-01T00:00:00Z"
}404 — not found
application/json
Response example
{
"status_code": 2004,
"status_message": "Resource not found",
"timestamp": "2025-01-01T00:00:00Z"
}422 — validation error
application/json
Schema: HTTPValidationError
| Field | Type | Required | Description |
|---|---|---|---|
detail | ValidationError[] | No | Detail |
Response example
{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string",
"input": {
"_type": "Input"
},
"ctx": {
"_type": "Context"
}
}
]
}Examples
Shell, Python, and TypeScript (set OCPI_TOKEN when auth is required).
curl -sS -X GET 'https://ocpi-api.gridos.co/ocpi/cpo/2.1.1/locations/LOC1/EVSE1/1' \
-H "Authorization: Token $OCPI_TOKEN"